<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>{{ title }}</title>
    <!-- Font Imports -->
    <link
      href="https://fonts.googleapis.com/css2?family=Oswald&family=Overpass&family=Overpass+Mono&display=swap"
      rel="stylesheet"
    />
     <!-- CSS Normalize -->
    {%- set css %}{%- include "css/normalize.css" ignore missing %}{%- endset%}
      <style>
      {{ css | cssmin | safe }}
      </style>

    <!-- Sass processing and import -->
    {%- set css %}{%- include "css/main.css" ignore missing %}{%- endset -%}
    <style>
      {{ css | safe }}
    </style>
  </head>
  <body>
  {% include "nav.njk" -%}
    <main class="main__content">
    {%- block main %}

    {%- endblock %}
    </main>
  </body>
</html>
